For the complete documentation index, see llms.txt. This page is also available as Markdown.

Routing Strategy (DOMS)

Endpoints to configure the routing strategy of the DOMS.

Get routing decision logs

get

This part of the API is in Alpha status. For details, see the API release lifecycle documentation.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Query parameters
sourcingOptionRefstringOptional

All decision logs for given sourcingOptionRef

processRefstringOptional

All decision logs for given processRef

orderRefstringOptional

All decision logs for given orderRef

routingPlanRefstringOptional

All decision logs for given routingPlanRef

sourcingOptionsRefstringOptional

All decision logs for given sourcingOptionsRef

tenantOrderIdstringOptional

All decision logs for given tenantOrderId

startAfterIdstringOptional

All decision logs after given Id

sizeinteger · min: 1 · max: 500Optional

Number of decision logs to show

Default: 25
Responses
200

Decision logs were found & you were allowed to access them. The result is in the body.

application/json

RoutingDecisionLogs

totalintegerRequired

Total number of found decision logs for this query

Example: 42
get/api/routing/decisionlogs

List category node configuration

get

List all the categories for node configurations.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Query parameters
startAfterIdstringOptional

All entities

sizeintegerOptional

Number of entities to show

Default: 25
Responses
200

The current list of available categories

application/json

RoutingStrategyNodeConfigCategoryTransporter

totalintegerRequired

Total number of entities found for this query

Example: 42
get/api/routing/nodeconfigcategories

Create category node configuration

post

Creates a new category for a routing strategies node config.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body

RoutingStrategyNodeConfigCategoryForCreation

colorstringRequired
Responses
201

The created routing strategy.

application/json

RoutingStrategyNodeConfigCategoryForResponse

colorstringRequired
createdstring · date-timeOptional

The date this entity was created at the platform. This value is generated by the service.

Example: 2020-02-03T08:45:51.525Z
lastModifiedstring · date-timeOptional

The date this entity was modified last. This value is generated by the service.

Example: 2020-02-03T09:45:51.525Z
versioninteger · int64Required

The version of the document to be used in optimistic locking mechanisms.

Example: 42
idstringRequired
namestringOptional
post/api/routing/nodeconfigcategories

Returns category node configuration

get

Returns the category

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
categoryIdstringRequired

ID of the category you wish to retrieve

Responses
200

The returned category.

application/json

RoutingStrategyNodeConfigCategoryForResponse

colorstringRequired
createdstring · date-timeOptional

The date this entity was created at the platform. This value is generated by the service.

Example: 2020-02-03T08:45:51.525Z
lastModifiedstring · date-timeOptional

The date this entity was modified last. This value is generated by the service.

Example: 2020-02-03T09:45:51.525Z
versioninteger · int64Required

The version of the document to be used in optimistic locking mechanisms.

Example: 42
idstringRequired
namestringOptional
get/api/routing/nodeconfigcategories/{categoryId}

Updates category node configuration

put

Updates a category

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
categoryIdstringRequired

ID of the category you wish to update

Body

RoutingStrategyNodeConfigCategoryForModification

colorstringRequired
versionnumberRequired
Responses
200

The updated category.

application/json

RoutingStrategyNodeConfigCategoryForResponse

colorstringRequired
createdstring · date-timeOptional

The date this entity was created at the platform. This value is generated by the service.

Example: 2020-02-03T08:45:51.525Z
lastModifiedstring · date-timeOptional

The date this entity was modified last. This value is generated by the service.

Example: 2020-02-03T09:45:51.525Z
versioninteger · int64Required

The version of the document to be used in optimistic locking mechanisms.

Example: 42
idstringRequired
namestringOptional
put/api/routing/nodeconfigcategories/{categoryId}

Delete category node configuration

delete

Deletes the category

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
categoryIdstringRequired

ID of the category you want to delete

Responses
200

The category has been deleted.

No content

delete/api/routing/nodeconfigcategories/{categoryId}

No content

List routing strategies

get

List all existing routing strategies

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Query parameters
startAfterIdstringOptional

All entities

sizeintegerOptional

Number of entities to show

Default: 25
Responses
200

The current list of available routing strategies

application/json

RoutingStrategyTransporter

totalintegerRequired

Total number of entities found for this query

Example: 42
get/api/routing/strategies

Create routing strategy

post

Creates a new revision of the routing strategy.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body

RoutingStrategyForCreation

Responses
201

The created routing strategy.

application/json

VersionedResource

createdstring · date-timeOptional

The date this entity was created at the platform. This value is generated by the service.

Example: 2020-02-03T08:45:51.525Z
lastModifiedstring · date-timeOptional

The date this entity was modified last. This value is generated by the service.

Example: 2020-02-03T09:45:51.525Z
versioninteger · int64Required

The version of the document to be used in optimistic locking mechanisms.

Example: 42
idstringRequired
inUsebooleanRequired

Only one strategy can be inUse

namestringOptional
revisionintegerRequired

The revision of the routing strategy

Example: 1
post/api/routing/strategies

Get routing strategy

get

Returns the routing strategy.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
strategyIdstringRequired

ID of the routing strategy you wish to retrieve

Responses
200

The returned routing strategy.

application/json

VersionedResource

createdstring · date-timeOptional

The date this entity was created at the platform. This value is generated by the service.

Example: 2020-02-03T08:45:51.525Z
lastModifiedstring · date-timeOptional

The date this entity was modified last. This value is generated by the service.

Example: 2020-02-03T09:45:51.525Z
versioninteger · int64Required

The version of the document to be used in optimistic locking mechanisms.

Example: 42
idstringRequired
inUsebooleanRequired

Only one strategy can be inUse

namestringOptional
revisionintegerRequired

The revision of the routing strategy

Example: 1
get/api/routing/strategies/{strategyId}

Update routing strategy

put

Updates a routing strategy

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
strategyIdstringRequired

Id of the routing strategy you wish to update

Body

RoutingStrategyForModification

versionintegerRequired
Responses
200

The updated routing strategy.

application/json

VersionedResource

createdstring · date-timeOptional

The date this entity was created at the platform. This value is generated by the service.

Example: 2020-02-03T08:45:51.525Z
lastModifiedstring · date-timeOptional

The date this entity was modified last. This value is generated by the service.

Example: 2020-02-03T09:45:51.525Z
versioninteger · int64Required

The version of the document to be used in optimistic locking mechanisms.

Example: 42
idstringRequired
inUsebooleanRequired

Only one strategy can be inUse

namestringOptional
revisionintegerRequired

The revision of the routing strategy

Example: 1
put/api/routing/strategies/{strategyId}

Call routing strategy action

post

Performs an action on a routing strategy.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
strategyIdstringRequired

Id of the routing strategy

Body

RoutingStrategyActionsParameter

or
or
or
or
Responses
200

The updated routing strategy.

application/json

VersionedResource

createdstring · date-timeOptional

The date this entity was created at the platform. This value is generated by the service.

Example: 2020-02-03T08:45:51.525Z
lastModifiedstring · date-timeOptional

The date this entity was modified last. This value is generated by the service.

Example: 2020-02-03T09:45:51.525Z
versioninteger · int64Required

The version of the document to be used in optimistic locking mechanisms.

Example: 42
idstringRequired
inUsebooleanRequired

Only one strategy can be inUse

namestringOptional
revisionintegerRequired

The revision of the routing strategy

Example: 1
post/api/routing/strategies/{strategyId}/actions

Evaluate routing strategy

post

Evaluates a routing strategy against a given order

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
strategyIdstringRequired

Id of the routing strategy

Body

OrderForCreation

customAttributesobjectOptional

Attributes that can be added to the order. These attributes cannot be used within fulfillment processes, but it could be useful to have the informations carried here.

orderDatestring · date-timeRequired

The date this order was created at the supplying system.

Example: 2020-02-03T08:45:50.525Z
sourceone ofOptional

Defines the source of this order. This field is not required, if the order is created based on an external system.

or
statusstring · enumOptional

The state of the order. Initially it is OPEN.

Possible values:
tenantOrderIdstringOptional

Field can be used as a reference number in foreign systems, for example as a reference to the source system's identifier for this order.

Example: R456728546
Responses
200

The result of the evaluation of the routing strategy.

application/json

RoutingStrategyEvaluationResult

post/api/routing/strategies/{strategyId}/evaluation

Evaluate routing strategy node

post

Evaluates a routing strategy node and return the path.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
strategyIdstringRequired

Id of the routing strategy

nodeIdstringRequired

Id of the node

Responses
200

The result of the evaluation of this routing strategy node.

application/json

RoutingStrategyEvaluationResult

post/api/routing/strategies/{strategyId}/nodes/{nodeId}/evaluation

Last updated

Was this helpful?